Updating TinyMCE editor

Vote:
 

For our new project, we have retrieved a design which is using HTML5. Since the TinyMCE-editor in EPiServer CMS 6 R2 doesn't allow HTML5 yet, I was wondering if it is possible to upgrade the editor with a new version. The recent versions of TinyMCE does allow HTML5.

I already tried just replacing the folder in %program files%\EPiServer\CMS\6.1.379.0\Application\Util\Editor, but that didn't work very well. I guess I'm missing something else.

Does anyone know if it is possible to upgrade the editor and, if so, which steps I should take?

#58387
Apr 23, 2012 10:13
Vote:
 

To my knowledge you can't upgrade TinyMCE just like that, as EPiServer have made their own changes to it.

Just out of curiousity, what HTML5 features aren't supported in R2?

 

#58392
Apr 23, 2012 11:19
Vote:
 

I was afraid so.

The HTML we received contains elements like 'picture', 'section', 'article' and 'aside'. Maybe it's possible to add those elements to the 'allow list' of TinyMCE, but even then there's no easy way for the end user to add them without a button on the toolbar. I know you can add your own buttons, but it that the way to go in this scenario?

#58393
Apr 23, 2012 15:32
Vote:
 

There is a way of allowing new elements. Take a look at the (brief) developer documentation and take a look at how you define extended valid elements.

Regarding how you enter them, that's up to you. You can do it with new buttons or I guess the recommended way would be to do it with styles.

#58394
Apr 23, 2012 16:11
Vote:
 

Also check this Stack Overflow article 

#64904
Jan 15, 2013 11:04
Vote:
 

An upgraded version of TinyMCE will be included in the UI upgrade as described here: http://world.episerver.com/Articles/Items/Preview-of-the-New-EPiServer-7-CMS-User-Interface/

The final version of this upgrade will be released in Q1 this year and will only be available for EPiServer CMS 7.

 

#64917
Edited, Jan 15, 2013 16:24
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.